Description: Do not hardcode <prefix>/lib installation directory
Author: Guido Berhoerster <guido@berhoerster.name>
Abstract:
 This is necessary for Debian multiarch support.
Forwarded: not needed, Debian-specific

--- a/lib/lib.pro
+++ b/lib/lib.pro
@@ -62,7 +62,7 @@
     ofonoconnmancontext.cpp \
     ofonocellbroadcast.cpp
 
-target.path = $$[QT_INSTALL_PREFIX]/lib
+target.path = $$[QT_INSTALL_LIBS]
 headers.files = $$PUBLIC_HEADERS
 headers.path = $$[QT_INSTALL_PREFIX]/include/ofono-qt
 
@@ -70,6 +70,7 @@
 
 QMAKE_PKGCONFIG_DESTDIR = pkgconfig
 QMAKE_PKGCONFIG_INCDIR = $$headers.path
+QMAKE_PKGCONFIG_LIBDIR = $$target.path
 
 qtconfig.path = $$[QT_INSTALL_ARCHDATA]/mkspecs/features
 qtconfig.files = ofono-qt.prf
--- a/lib/ofono-qt.prf
+++ b/lib/ofono-qt.prf
@@ -1,7 +1,7 @@
 prefix=/usr
-exec_prefix=$${prefix}
+libdir=$$[QT_INSTALL_LIBS]
 
 DEPENDPATH += $${prefix}/include/ofono-qt
 INCLUDEPATH += $${prefix}/include/ofono-qt
-LIBS += -L $${exec_prefix}/lib -lofono-qt
+LIBS += -L $${libdir} -lofono-qt
 
